#!/usr/bin/env sh
# Create the lmdb inputs
TRAIN_DATA_ROOT=images # folder containing the training and validation images
TEXT=images # folder containing the text files 
OUTPUT=./images # folder for the lmdb datasets
TOOLS=../../Caffe-Repo/build/tools

# remove old lmdb files
rm -rf $OUTPUT/train_lmdb
rm -rf $OUTPUT/test_lmdb

# Set RESIZE=true to resize the images to 256x256
RESIZE=true
if $RESIZE; then
  RESIZE_HEIGHT=24
  RESIZE_WIDTH=24
else
  RESIZE_HEIGHT=0
  RESIZE_WIDTH=0
fi

echo "Creating train lmdb..."

GLOG_logtostderr=1 $TOOLS/convert_imageset \
    --resize_height=$RESIZE_HEIGHT \
    --resize_width=$RESIZE_WIDTH \
    --shuffle \
    --gray=true \
    $TRAIN_DATA_ROOT/ \
    $TEXT/train_images.txt \
    $OUTPUT/train_lmdb

echo "Creating test lmdb..."

GLOG_logtostderr=1 $TOOLS/convert_imageset \
    --resize_height=$RESIZE_HEIGHT \
    --resize_width=$RESIZE_WIDTH \
    --shuffle \
    --gray=true \
    $TRAIN_DATA_ROOT/ \
    $TEXT/test_images.txt \
    $OUTPUT/test_lmdb

echo "Done."

